"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

EnterBox subclass:#FilenameEnterBox
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-DialogBoxes'
!

!FilenameEnterBox class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    like a normal enterBox, but does filename-completion when TAB is
    pressed.
"
!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/FilenameEnterBox.st,v 1.8 1995-11-23 02:25:38 cg Exp $'
! !

!FilenameEnterBox methodsFor:'accessing'!

directoriesOnly
    "set to expand names for directories only"

    enterField directoriesOnly
!

directory:aFilename
    "set the directory"

    enterField directory:aFilename

    "Modified: 7.9.1995 / 10:33:00 / claus"
!

filesOnly
    "set to expand names for files only"

    enterField filesOnly
! !

!FilenameEnterBox methodsFor:'initialization'!

createEnterField
    "redefined, since we need an editfield for filenames here
     (if the class has not been compiled in, use a dump default field)"

    FilenameEditField notNil ifTrue:[
	^ FilenameEditField new.
    ].
    ^ super createEnterField
! !

